
QGIS Application - Bug report #1272

adding a GRASS raster crashes QGIS

2008-09-02 12:54 PM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11332

Description

QGIS trunk r9249, QT 4.4.0, GDAL 1.5.2 + SVN r15265 (stable branch), GRASS 6.4 + SVN r33223 (stable branch), gdal-grass plugin

built from the source of the previosly mentioned GDAL and GRASS revisions

Debian testing amd64

1. add a GRASS raster map (e.g. 'elevation.10m' from Spearfish6 dataset; but can be any other)

2. crash

There was no crash in a day or two ago.

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 1554: (drawPalettedSingleBandColor) entered.

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3850: (readData) calling [[RasterIO]] with , source

NW corner: 0, 0, source size: 1899, 1398, dest size: 32, 32

Program received signal SIGSEGV, Segmentation fault.

[Switching to Thread 0x7f1617c567a0 (LWP 24671)]

0x0000000000000080 in ?? ()

(gdb) bt

#0  0x0000000000000080 in ?? ()

#3905  0x00007f1614e3140b in GDALClose (hDS=0x16492e0) at gdaldataset.cpp:1924

#3906  0x00007f160619e73d in G_close_gdal_link (gdal=0x1649220) at gdal.c:121

#3907  0x00007f160619149f in close_old (fd=20) at closecell.c:137

#3908  0x00007f16061913b3 in G_close_cell (fd=20) at closecell.c:86

#3909  0x00007f1601af6b50 in GRASSRasterBand::ResetReading ()

   from /usr/local/lib/gdalplugins/gdal_GRASS.so

#3910  0x00007f1601af6edc in GRASSRasterBand::IRasterIO ()

   from /usr/local/lib/gdalplugins/gdal_GRASS.so

#3911  0x00007f1614e476bf in GDALRasterBand::RasterIO (this=0x15b7740, 

    eRWFlag=GF_Read, nXOff=0, nYOff=0, nXSize=1899, nYSize=1398, 

    pData=0x16724b0, nBufXSize=32, nBufYSize=32, eBufType=GDT_Float64, 

    nPixelSpace=8, nLineSpace=256) at gdalrasterband.cpp:237

#3912  0x00007f1614e47785 in GDALRasterIO (hBand=0x15b7740, eRWFlag=GF_Read, 

    nXOff=0, nYOff=0, nXSize=1899, nYSize=1398, pData=0x16724b0, nBufXSize=32, 

    nBufYSize=32, eBufType=GDT_Float64, nPixelSpace=0, nLineSpace=0)

    at gdalrasterband.cpp:262

#3913  0x00007f16175ce949 in [[QgsRasterLayer]]::readData (this=0x15b3710, 

    gdalBand=0x15b7740, viewPort=0x1671380)

    at /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp:3869
#10 0x00007f16175de189 in [[QgsRasterLayer]]::drawPalettedSingleBandColor (

    this=0x15b3710, theQPainter=0x15b7470, theRasterViewPort=0x1671380, 

    theQgsMapToPixel=0x0, theBandNo=1)

    at /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp:1568

#3914 0x00007f16175deb74 in [[QgsRasterLayer]]::draw (this=0x15b3710, 

    theQPainter=0x15b7470, theRasterViewPort=0x1671380, theQgsMapToPixel=0x0)

    at /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp:1243

#3915 0x00007f16175df183 in [[QgsRasterLayer]]::drawThumbnail (this=0x15b3710, 

    theQPixmap=0x7fff1fd90990)

    at /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp:879

#3916 0x000000000066d1e4 in [[QgsLegendLayer]]::getOriginalPixmap (this=0x15a2370)

    at /home/shoofi/src/straight/qgis-trunk/src/app/legend/qgslegendlayer.cpp:461

#3917 0x000000000066d2e4 in [[QgsLegendLayer]]::setLayerTypeIcon (this=0x15a2370)

    at /home/shoofi/src/straight/qgis-trunk/src/app/legend/qgslegendlayer.cpp:89

#3918 0x000000000066043d in [[QgsLegend]]::addLayer (this=0x1421360, layer=0x15b3710)

    at /home/shoofi/src/straight/qgis-trunk/src/app/legend/qgslegend.cpp:477

#3919 0x000000000069a15c in [[QgsLegend]]::qt_metacall (this=0x1421360, 

    _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x7fff1fd90db0)

    at /home/shoofi/src/straight/qgis-trunk/build/src/app/legend/moc_qgslegend.cxx:116

#3920 0x00007f161713a764 in QMetaObject::activate () from /usr/lib/libQtCore.so.4

#3921 0x00007f16176132a3 in [[QgsMapLayerRegistry]]::layerWasAdded (this=0x1469560, 

    _t1=0x15b3710)

    at /home/shoofi/src/straight/qgis-trunk/build/src/core/moc_qgsmaplayerregistry.cxx:89

#3922 0x00007f1617537bd0 in [[QgsMapLayerRegistry]]::addMapLayer (this=0x1469560, 

    theMapLayer=0x15b3710, theEmitSignal=true)

    at /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayerregistry.cpp:83

#3923 0x00000000004b5ea1 in [[QgisApp]]::addRasterLayer (this=0x13948a0, 

    theRasterLayer=0x15b3710)

    at /home/shoofi/src/straight/qgis-trunk/src/app/qgisapp.cpp:5297

#3924 0x00000000004b751d in [[QgisApp]]::addRasterLayer (this=0x13948a0, 

    rasterFile=@0x7fff1fd911b0, baseName=@0x7fff1fd911a0, guiWarning=true)

    at /home/shoofi/src/straight/qgis-trunk/src/app/qgisapp.cpp:5335

#3925 0x00000000004ede14 in [[QgisAppInterface]]::addRasterLayer (this=0x15060c0, 

    rasterLayerPath=

      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 2844}, alloc = 0, size = 0, data = 0x9374fa, clean = 0,

simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value =

1903}, alloc = 0, size = 0, data = 0x7f161740d85a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved

= 0, array = {0}}, d = 0x7fff1fd911b0, static codecForCStrings = 0x0}, 

    baseName=

      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 2844}, alloc = 0, size = 0, data = 0x9374fa, clean = 0,

simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value =

1903}, alloc = 0, size = 0, data = 0x7f161740d85a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved

= 0, array = {0}}, d = 0x7fff1fd911a0, static codecForCStrings = 0x0})

    at /home/shoofi/src/straight/qgis-trunk/src/app/qgisappinterface.cpp:77

#3926 0x00007f1606bc70c8 in [[QgsGrassPlugin]]::addRaster (this=0x153e220)

    at /home/shoofi/src/straight/qgis-trunk/src/plugins/grass/qgsgrassplugin.cpp:413

#3927 0x00007f1606cc780c in [[QgsGrassPlugin]]::qt_metacall (this=0x153e220, 

    _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x7fff1fd91300)

    at /home/shoofi/src/straight/qgis-trunk/build/src/plugins/grass/moc_qgsgrassplugin.cxx:98

#3928 0x00007f161713a764 in QMetaObject::activate () from /usr/lib/libQtCore.so.4

#3929 0x00007f161664f1c7 in QAction::triggered () from /usr/lib/libQtGui.so.4

#3930 0x00007f161664f990 in QAction::activate () from /usr/lib/libQtGui.so.4

#3931 0x00007f161695b03a in ?? () from /usr/lib/libQtGui.so.4
#3932 0x00007f161695b2d5 in QAbstractButton::mouseReleaseEvent ()

   from /usr/lib/libQtGui.so.4

#3933 0x00007f1616a224aa in QToolButton::mouseReleaseEvent ()

   from /usr/lib/libQtGui.so.4

#3934 0x00007f16166a73af in QWidget::event () from /usr/lib/libQtGui.so.4

#3935 0x00007f1616654e5d in QApplicationPrivate::notify_helper ()

   from /usr/lib/libQtGui.so.4

#3936 0x00007f161665d39a in QApplication::notify () from /usr/lib/libQtGui.so.4

#3937 0x00007f1617126411 in QCoreApplication::notifyInternal ()

   from /usr/lib/libQtCore.so.4

#3938 0x00007f161665c738 in QApplicationPrivate::sendMouseEvent ()

   from /usr/lib/libQtGui.so.4

#36 0x00007f16166c0719 in ?? () from /usr/lib/libQtGui.so.4

#37 0x00007f16166bf5ef in QApplication::x11ProcessEvent ()

   from /usr/lib/libQtGui.so.4

#38 0x00007f16166e69cc in ?? () from /usr/lib/libQtGui.so.4

#39 0x00007f16131dc892 in g_main_context_dispatch ()

   from /usr/lib/libglib-2.0.so.0

#40 0x00007f16131e001d in ?? () from /usr/lib/libglib-2.0.so.0

#41 0x00007f16131e01db in g_main_context_iteration ()

   from /usr/lib/libglib-2.0.so.0

#42 0x00007f161714e83f in QEventDispatcherGlib::processEvents ()

   from /usr/lib/libQtCore.so.4

#43 0x00007f16166e616f in ?? () from /usr/lib/libQtGui.so.4

#44 0x00007f1617124d22 in QEventLoop::processEvents ()

   from /usr/lib/libQtCore.so.4

#45 0x00007f1617124ead in QEventLoop::exec () from /usr/lib/libQtCore.so.4

#46 0x00007f161712737d in QCoreApplication::exec ()

   from /usr/lib/libQtCore.so.4

#47 0x00000000004b2dc9 in main (argc=1, argv=0x7fff1fd931e8)

    at /home/shoofi/src/straight/qgis-trunk/src/app/main.cpp:683

History

#1 - 2008-09-03 09:08 AM - Maciej Sieczka -

- Resolution set to fixed

- Status changed from Open to Closed

In commit:c43f5542 (SVN r9254) no crash anymore.

#2 - 2008-09-03 11:08 AM - Maciej Sieczka -

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

Replying to [comment:1 msieczka]:

In commit:c43f5542 (SVN r9254) no crash anymore.
Not really. Still crashes but not with all GRASS rasters. Easy to reproduce though:

1. Download the Spearfish 6 r1 sample dataset.

2. Load the 'slope' raster into QGIS - crash.

Last debug words right after loading 'slope':

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 53: (QgsMapLayer) lyrname is 'slope'

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 59: (QgsMapLayer) layerName is 'slope'

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrastershader.cpp: 25: (QgsRasterShader) called.

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrastershaderfunction.cpp: 24: (QgsRasterShaderFunction) entered.

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 488: (loadNamedStyle) project fileName: /home/shoofi

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 437: (loadNamedStyleFromDb) Trying to load style for

"/home/grassdata/spearfish60/PERMANENT/cellhd/slope.qml" from "/home/shoofi/.qgis/qgis.qmldb" 

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 437: (loadNamedStyleFromDb) Trying to load style for

"/home/grassdata/spearfish60/PERMANENT/cellhd/slope.qml" from "/usr/local/qgis/share/qgis/resources/qgis.qmldb" 

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 99: (setLayerName) new name is 'slope'

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 663: (lastModified)

name=/home/grassdata/spearfish60/PERMANENT/cellhd/slope

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 725: (lastModified) last modified = pon. lis 5 10:55:57 2001

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3571: (buildRasterPyramidList) Building initial pyramid list

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 2

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 1073741824

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 1073741824

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 4

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 536870912

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 536870912

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 8

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 268435456

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 268435456

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 16

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 134217728

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 134217728

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 32

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 67108864

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 67108864

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 64

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 33554432

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 33554432

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 128

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 16777216

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 16777216

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 256

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 8388608

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 8388608

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 512

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 4194304

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 4194304

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 1024

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 2097152

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 2097152
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 2048

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 1048576

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 1048576

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 4096

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 524288

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 524288

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 8192

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 262144

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 262144

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 16384

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 131072

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 131072

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 32768

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 65536

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 65536

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 65536

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 32768

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 32768

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 131072

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 16384

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 16384

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 262144

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 8192

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 8192

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 524288

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 4096

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 4096

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 1048576

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 2048

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 2048

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 2097152

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 1024

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 1024

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 4194304

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 512

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 512

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 8388608

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 256

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 256

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 16777216

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 128

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 128

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3581: (buildRasterPyramidList), Pyramid: 33554432

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3582: (buildRasterPyramidList), xDim: 64

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3583: (buildRasterPyramidList), yDim: 64

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 447: (readFile) Raster initial CRS

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1104: (debugPrint) ***SpatialRefSystem***

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1105: (debugPrint) * Valid : false

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1106: (debugPrint) * [[SrsId]] : 140715124959872

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1107: (debugPrint) * Proj4 : 

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1108: (debugPrint) * Desc. : 

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 253: (createFromWkt)

[[QgsCoordinateReferenceSystem]]::createFromWkt(QString theWkt) using: PROJCS[[UTM Zone 13 Northern
Hemisphere"GEOGCS["clark66"DATUM["North_American_Datum_1927"SPHEROID["Clarke_1866"637820642949786982]]PRIMEM["Greenwich"0]UNIT["degree"00174532925199433]]PROJECTION["Transverse_Mercator"]PARAMETER["latitude_of_origin"0]PARAMETER["central_meridian"-105]PARAMETER["scale_factor"09996]PARAMETER["false_easting"500000]PARAMETER["false_northing"0]UNIT["meter]]
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 357: (createFromProj4) wholetext match on name failed, trying proj4string match
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 443: (getRecord) running query: select * from tbl_srs where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path = /usr/local/qgis/share/qgis/resources/srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 465: (getRecord) trying system srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 520: (getRecord) retrieved:  select * from tbl_srs where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 362: (createFromProj4) proj4string match search for srsid returned srsid: 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 184: (loadFromDb) load CRS from /usr/local/qgis/share/qgis/resources/srs.db where srs_id is 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path = /usr/local/qgis/share/qgis/resources/srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 714: (setMapUnits) Projection has linear units of Meter
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 452: (readFile) --------------------------------------------------------------------------------------
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 453: (readFile) using wkt:
PROJCS[[UTM Zone 13 Northern Hemisphere"GEOGCS["clark66"DATUM["North_American_Datum_1927"SPHEROID["Clarke_1866"637820642949786982]]PRIMEM["Greenwich"0]UNIT["degree"00174532925199433]]PROJECTION["Transverse_Mercator"]PARAMETER["latitude_of_origin"0]PARAMETER["central_meridian"-105]PARAMETER["scale_factor"09996]PARAMETER["false_easting"500000]PARAMETER["false_northing"0]UNIT["meter]]
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 454: (readFile) --------------------------------------------------------------------------------------
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 253: (createFromWkt) [[QgsCoordinateReferenceSystem]]::createFromWkt(QString theWkt) using: PROJCS[[UTM Zone 13 Northern Hemisphere"GEOGCS["clark66"DATUM["North_American_Datum_1927"SPHEROID["Clarke_1866"637820642949786982]]PRIMEM["Greenwich"0]UNIT["degree"00174532925199433]]PROJECTION["Transverse_Mercator"]PARAMETER["latitude_of_origin"0]PARAMETER["central_meridian"-105]PARAMETER["scale_factor"09996]PARAMETER["false_easting"500000]PARAMETER["false_northing"0]UNIT["meter]]
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 357: (createFromProj4) wholetext match on name failed, trying proj4string match
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 443: (getRecord) running query: select * from tbl_srs where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path = /usr/local/qgis/share/qgis/resources/srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 465: (getRecord) trying system srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 520: (getRecord) retrieved:  select * from tbl_srs where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 362: (createFromProj4) proj4string match search for srsid returned srsid: 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 184: (loadFromDb) load CRS from /usr/local/qgis/share/qgis/resources/srs.db where srs_id is 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path = /usr/local/qgis/share/qgis/resources/srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 714: (setMapUnits) Projection has linear units of Meter
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 463: (readFile) Raster determined to have the following CRS
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1104: (debugPrint) ***SpatialRefSystem***
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1105: (debugPrint) * Valid : true
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1106: (debugPrint) * [[SrsId]] : 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1107: (debugPrint) * Proj4 : +proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs 
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1108: (debugPrint) * Desc. : NAD27 / UTM zone 13N
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 469: (readFile) Layer registry has 0layers
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3150: (getMetadata) dataset has no metadata
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3178: (getMetadata) band 1 has no categories
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3429: (getMetadata) <p class="glossy">Sterownik:</p>
<p>GRASS<br>GRASS Database Rasters (5.7+)</p>
<p class="glossy">Dataset Description</p>
<p>/home/grassdata/spearfish60/PERMANENT/cellhd/slope</p>
<p class="glossy">Band 1</p>
<tr><p>
COLOR_TABLE_RULES_COUNT=0</p>
</tr><p class="glossy">Wymiar:</p>
<p>X: 634 Y: 478Kanały:1</p>
<p class="glossy">No Data Value</p>
<p>1.1711e-316</p>
</p>
<p class="glossy">Typ danych:</p>
<p>GDT_Float32 - Thirty two bit floating point </p>
<p class="glossy">Pyramid overviews:</p>
<p></p>
<p class="glossy">Layer Spatial Reference System: </p>
<p>+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs </p>
<p class="glossy">Początek:</p>
<p>589980,4.92803e+06</p>
<p class="glossy">Rozmiar piksela:</p>
<p>30,-30</p>

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3649: (readColorTable) entered.
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3723: (readColorTable) No color table found for band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 5000: (setContrastEnhancementAlgorithm) called with [NO_STRETCH] and flag=1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgscontrastenhancement.cpp: 216: (setContrastEnhancementAlgorithm) called algorithm: 0 generate lookup table: 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 830: (hasBand) Looking for band : Palette
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 837: (hasBand) band = 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2113: (getRasterBandName) entered.
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 107: (name) returning name 'slope'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 323: (connectNotify) [[QgsMapLayer]] connected to 2layerNameChanged()
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 1185: (draw)  3 arguments
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2093: (getRasterBandNumber) myRasterBandStats.bandName: Band 1  :: theBandName: Band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2098: (getRasterBandNumber) ********** band 1 was found in getRasterBandNumber Band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 1338: (drawSingleBandGray) layer=1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3748: (readData) calling [[RasterIO]] with , source NW corner: 0, 0, source size: 634, 478, dest size: 32, 32

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7ffaced167a0 (LWP 30449)]
0x00007ffabd259cfc in G_close_gdal_link (gdal=0x50) at gdal.c:121
121        GDALClose(gdal->data);
Current language:  auto; currently c


h"0]UNIT["degree"00174532925199433]]PROJECTION["Transverse_Mercator"]PARAMETER["latitude_of_origin"0]PARAMETER["central_meridian"-105]PARAMETER["scale_factor"09996]PARAMETER["false_easting"500000]PARAMETER["false_northing"0]UNIT["meter]]
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 357: (createFromProj4) wholetext match on name failed, trying proj4string match
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 443: (getRecord) running query: select * from tbl_srs where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path = /usr/local/qgis/share/qgis/resources/srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 465: (getRecord) trying system srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 520: (getRecord) retrieved:  select * from tbl_srs where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 362: (createFromProj4) proj4string match search for srsid returned srsid: 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 184: (loadFromDb) load CRS from /usr/local/qgis/share/qgis/resources/srs.db where srs_id is 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path = /usr/local/qgis/share/qgis/resources/srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 714: (setMapUnits) Projection has linear units of Meter
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 452: (readFile) --------------------------------------------------------------------------------------
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 453: (readFile) using wkt:
PROJCS[[UTM Zone 13 Northern Hemisphere"GEOGCS["clark66"DATUM["North_American_Datum_1927"SPHEROID["Clarke_1866"637820642949786982]]PRIMEM["Greenwich"0]UNIT["degree"00174532925199433]]PROJECTION["Transverse_Mercator"]PARAMETER["latitude_of_origin"0]PARAMETER["central_meridian"-105]PARAMETER["scale_factor"09996]PARAMETER["false_easting"500000]PARAMETER["false_northing"0]UNIT["meter]]
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 454: (readFile) --------------------------------------------------------------------------------------
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 253: (createFromWkt) [[QgsCoordinateReferenceSystem]]::createFromWkt(QString theWkt) using: PROJCS[[UTM Zone 13 Northern Hemisphere"GEOGCS["clark66"DATUM["North_American_Datum_1927"SPHEROID["Clarke_1866"637820642949786982]]PRIMEM["Greenwich"0]UNIT["degree"00174532925199433]]PROJECTION["Transverse_Mercator"]PARAMETER["latitude_of_origin"0]PARAMETER["central_meridian"-105]PARAMETER["scale_factor"09996]PARAMETER["false_easting"500000]PARAMETER["false_northing"0]UNIT["meter]]
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 357: (createFromProj4) wholetext match on name failed, trying proj4string match
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 443: (getRecord) running query: select * from tbl_srs where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path = /usr/local/qgis/share/qgis/resources/srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 465: (getRecord) trying system srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 520: (getRecord) retrieved:  select * from tbl_srs where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 362: (createFromProj4) proj4string match search for srsid returned srsid: 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 184: (loadFromDb) load CRS from /usr/local/qgis/share/qgis/resources/srs.db where srs_id is 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path = /usr/local/qgis/share/qgis/resources/srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 714: (setMapUnits) Projection has linear units of Meter
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 463: (readFile) Raster determined to have the following CRS
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1104: (debugPrint) ***SpatialRefSystem***
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1105: (debugPrint) * Valid : true
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1106: (debugPrint) * [[SrsId]] : 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1107: (debugPrint) * Proj4 : +proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs 
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1108: (debugPrint) * Desc. : NAD27 / UTM zone 13N
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 469: (readFile) Layer registry has 0layers
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3150: (getMetadata) dataset has no metadata
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3178: (getMetadata) band 1 has no categories
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3429: (getMetadata) <p class="glossy">Sterownik:</p>
<p>GRASS<br>GRASS Database Rasters (5.7+)</p>
<p class="glossy">Dataset Description</p>
<p>/home/grassdata/spearfish60/PERMANENT/cellhd/slope</p>
<p class="glossy">Band 1</p>
<tr><p>
COLOR_TABLE_RULES_COUNT=0</p>
</tr><p class="glossy">Wymiar:</p>
<p>X: 634 Y: 478Kanały:1</p>
<p class="glossy">No Data Value</p>
<p>1.1711e-316</p>
</p>
<p class="glossy">Typ danych:</p>
<p>GDT_Float32 - Thirty two bit floating point </p>
<p class="glossy">Pyramid overviews:</p>
<p></p>
<p class="glossy">Layer Spatial Reference System: </p>
<p>+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs </p>
<p class="glossy">Początek:</p>
<p>589980,4.92803e+06</p>
<p class="glossy">Rozmiar piksela:</p>
<p>30,-30</p>

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3649: (readColorTable) entered.
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3723: (readColorTable) No color table found for band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 5000: (setContrastEnhancementAlgorithm) called with [NO_STRETCH] and flag=1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgscontrastenhancement.cpp: 216: (setContrastEnhancementAlgorithm) called algorithm: 0 generate lookup table: 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 830: (hasBand) Looking for band : Palette
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 837: (hasBand) band = 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2113: (getRasterBandName) entered.
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 107: (name) returning name 'slope'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 323: (connectNotify) [[QgsMapLayer]] connected to 2layerNameChanged()
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 1185: (draw)  3 arguments
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2093: (getRasterBandNumber) myRasterBandStats.bandName: Band 1  :: theBandName: Band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2098: (getRasterBandNumber) ********** band 1 was found in getRasterBandNumber Band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 1338: (drawSingleBandGray) layer=1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3748: (readData) calling [[RasterIO]] with , source NW corner: 0, 0, source size: 634, 478, dest size: 32, 32

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7ffaced167a0 (LWP 30449)]
0x00007ffabd259cfc in G_close_gdal_link (gdal=0x50) at gdal.c:121
121        GDALClose(gdal->data);
Current language:  auto; currently c


ian"-105]PARAMETER["scale_factor"09996]PARAMETER["false_easting"500000]PARAMETER["false_northing"0]UNIT["meter]]

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 357: (createFromProj4) wholetext match on name failed,

trying proj4string match

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 443: (getRecord) running query: select * from tbl_srs

where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path =

/usr/local/qgis/share/qgis/resources/srs.db

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 465: (getRecord) trying system srs.db

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 520: (getRecord) retrieved:  select * from tbl_srs where

parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 362: (createFromProj4) proj4string match search for

srsid returned srsid: 2093

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 184: (loadFromDb) load CRS from

/usr/local/qgis/share/qgis/resources/srs.db where srs_id is 2093

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path =

/usr/local/qgis/share/qgis/resources/srs.db

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 714: (setMapUnits) Projection has linear units of Meter

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 452: (readFile)

--------------------------------------------------------------------------------------

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 453: (readFile) using wkt:

PROJCS[[UTM Zone 13 Northern

Hemisphere"GEOGCS["clark66"DATUM["North_American_Datum_1927"SPHEROID["Clarke_1866"637820642949786982]]PRIMEM["Greenwich"0]UNIT["degree"00174532925199433]]PROJECTION["Transverse_Mercator"]PARAMETER["latitude_of_origin"0]PARAMETER["central_meridian"-105]PARAMETER["scale_factor"09996]PARAMETER["false_easting"500000]PARAMETER["false_northing"0]UNIT["meter]]
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 454: (readFile) --------------------------------------------------------------------------------------
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 253: (createFromWkt) [[QgsCoordinateReferenceSystem]]::createFromWkt(QString theWkt) using: PROJCS[[UTM Zone 13 Northern Hemisphere"GEOGCS["clark66"DATUM["North_American_Datum_1927"SPHEROID["Clarke_1866"637820642949786982]]PRIMEM["Greenwich"0]UNIT["degree"00174532925199433]]PROJECTION["Transverse_Mercator"]PARAMETER["latitude_of_origin"0]PARAMETER["central_meridian"-105]PARAMETER["scale_factor"09996]PARAMETER["false_easting"500000]PARAMETER["false_northing"0]UNIT["meter]]
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 357: (createFromProj4) wholetext match on name failed, trying proj4string match
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 443: (getRecord) running query: select * from tbl_srs where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path = /usr/local/qgis/share/qgis/resources/srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 465: (getRecord) trying system srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 520: (getRecord) retrieved:  select * from tbl_srs where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 362: (createFromProj4) proj4string match search for srsid returned srsid: 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 184: (loadFromDb) load CRS from /usr/local/qgis/share/qgis/resources/srs.db where srs_id is 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path = /usr/local/qgis/share/qgis/resources/srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 714: (setMapUnits) Projection has linear units of Meter
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 463: (readFile) Raster determined to have the following CRS
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1104: (debugPrint) ***SpatialRefSystem***
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1105: (debugPrint) * Valid : true
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1106: (debugPrint) * [[SrsId]] : 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1107: (debugPrint) * Proj4 : +proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs 
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1108: (debugPrint) * Desc. : NAD27 / UTM zone 13N
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 469: (readFile) Layer registry has 0layers
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3150: (getMetadata) dataset has no metadata
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3178: (getMetadata) band 1 has no categories
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3429: (getMetadata) <p class="glossy">Sterownik:</p>
<p>GRASS<br>GRASS Database Rasters (5.7+)</p>
<p class="glossy">Dataset Description</p>
<p>/home/grassdata/spearfish60/PERMANENT/cellhd/slope</p>
<p class="glossy">Band 1</p>
<tr><p>
COLOR_TABLE_RULES_COUNT=0</p>
</tr><p class="glossy">Wymiar:</p>
<p>X: 634 Y: 478Kanały:1</p>
<p class="glossy">No Data Value</p>
<p>1.1711e-316</p>
</p>
<p class="glossy">Typ danych:</p>
<p>GDT_Float32 - Thirty two bit floating point </p>
<p class="glossy">Pyramid overviews:</p>
<p></p>
<p class="glossy">Layer Spatial Reference System: </p>
<p>+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs </p>
<p class="glossy">Początek:</p>
<p>589980,4.92803e+06</p>
<p class="glossy">Rozmiar piksela:</p>
<p>30,-30</p>

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3649: (readColorTable) entered.
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3723: (readColorTable) No color table found for band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 5000: (setContrastEnhancementAlgorithm) called with [NO_STRETCH] and flag=1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgscontrastenhancement.cpp: 216: (setContrastEnhancementAlgorithm) called algorithm: 0 generate lookup table: 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 830: (hasBand) Looking for band : Palette
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 837: (hasBand) band = 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2113: (getRasterBandName) entered.
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 107: (name) returning name 'slope'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 323: (connectNotify) [[QgsMapLayer]] connected to 2layerNameChanged()
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 1185: (draw)  3 arguments
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2093: (getRasterBandNumber) myRasterBandStats.bandName: Band 1  :: theBandName: Band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2098: (getRasterBandNumber) ********** band 1 was found in getRasterBandNumber Band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 1338: (drawSingleBandGray) layer=1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3748: (readData) calling [[RasterIO]] with , source NW corner: 0, 0, source size: 634, 478, dest size: 32, 32

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7ffaced167a0 (LWP 30449)]
0x00007ffabd259cfc in G_close_gdal_link (gdal=0x50) at gdal.c:121
121        GDALClose(gdal->data);
Current language:  auto; currently c


h"0]UNIT["degree"00174532925199433]]PROJECTION["Transverse_Mercator"]PARAMETER["latitude_of_origin"0]PARAMETER["central_meridian"-105]PARAMETER["scale_factor"09996]PARAMETER["false_easting"500000]PARAMETER["false_northing"0]UNIT["meter]]
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 454: (readFile) --------------------------------------------------------------------------------------
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 253: (createFromWkt) [[QgsCoordinateReferenceSystem]]::createFromWkt(QString theWkt) using: PROJCS[[UTM Zone 13 Northern Hemisphere"GEOGCS["clark66"DATUM["North_American_Datum_1927"SPHEROID["Clarke_1866"637820642949786982]]PRIMEM["Greenwich"0]UNIT["degree"00174532925199433]]PROJECTION["Transverse_Mercator"]PARAMETER["latitude_of_origin"0]PARAMETER["central_meridian"-105]PARAMETER["scale_factor"09996]PARAMETER["false_easting"500000]PARAMETER["false_northing"0]UNIT["meter]]
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 357: (createFromProj4) wholetext match on name failed, trying proj4string match
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 443: (getRecord) running query: select * from tbl_srs where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path = /usr/local/qgis/share/qgis/resources/srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 465: (getRecord) trying system srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 520: (getRecord) retrieved:  select * from tbl_srs where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 362: (createFromProj4) proj4string match search for srsid returned srsid: 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 184: (loadFromDb) load CRS from /usr/local/qgis/share/qgis/resources/srs.db where srs_id is 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path = /usr/local/qgis/share/qgis/resources/srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 714: (setMapUnits) Projection has linear units of Meter
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 463: (readFile) Raster determined to have the following CRS
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1104: (debugPrint) ***SpatialRefSystem***
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1105: (debugPrint) * Valid : true
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1106: (debugPrint) * [[SrsId]] : 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1107: (debugPrint) * Proj4 : +proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs 
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1108: (debugPrint) * Desc. : NAD27 / UTM zone 13N
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 469: (readFile) Layer registry has 0layers
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3150: (getMetadata) dataset has no metadata
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3178: (getMetadata) band 1 has no categories
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3429: (getMetadata) <p class="glossy">Sterownik:</p>
<p>GRASS<br>GRASS Database Rasters (5.7+)</p>
<p class="glossy">Dataset Description</p>
<p>/home/grassdata/spearfish60/PERMANENT/cellhd/slope</p>
<p class="glossy">Band 1</p>
<tr><p>
COLOR_TABLE_RULES_COUNT=0</p>
</tr><p class="glossy">Wymiar:</p>
<p>X: 634 Y: 478Kanały:1</p>
<p class="glossy">No Data Value</p>
<p>1.1711e-316</p>
</p>
<p class="glossy">Typ danych:</p>
<p>GDT_Float32 - Thirty two bit floating point </p>
<p class="glossy">Pyramid overviews:</p>
<p></p>
<p class="glossy">Layer Spatial Reference System: </p>
<p>+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs </p>
<p class="glossy">Początek:</p>
<p>589980,4.92803e+06</p>
<p class="glossy">Rozmiar piksela:</p>
<p>30,-30</p>

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3649: (readColorTable) entered.
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3723: (readColorTable) No color table found for band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 5000: (setContrastEnhancementAlgorithm) called with [NO_STRETCH] and flag=1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgscontrastenhancement.cpp: 216: (setContrastEnhancementAlgorithm) called algorithm: 0 generate lookup table: 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 830: (hasBand) Looking for band : Palette
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 837: (hasBand) band = 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2113: (getRasterBandName) entered.
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 107: (name) returning name 'slope'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 323: (connectNotify) [[QgsMapLayer]] connected to 2layerNameChanged()
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 1185: (draw)  3 arguments
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2093: (getRasterBandNumber) myRasterBandStats.bandName: Band 1  :: theBandName: Band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2098: (getRasterBandNumber) ********** band 1 was found in getRasterBandNumber Band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 1338: (drawSingleBandGray) layer=1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3748: (readData) calling [[RasterIO]] with , source NW corner: 0, 0, source size: 634, 478, dest size: 32, 32

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7ffaced167a0 (LWP 30449)]
0x00007ffabd259cfc in G_close_gdal_link (gdal=0x50) at gdal.c:121
121        GDALClose(gdal->data);
Current language:  auto; currently c


ian"-105]PARAMETER["scale_factor"09996]PARAMETER["false_easting"500000]PARAMETER["false_northing"0]UNIT["meter]]

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 454: (readFile)

--------------------------------------------------------------------------------------

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 253: (createFromWkt)

[[QgsCoordinateReferenceSystem]]::createFromWkt(QString theWkt) using: PROJCS[[UTM Zone 13 Northern

Hemisphere"GEOGCS["clark66"DATUM["North_American_Datum_1927"SPHEROID["Clarke_1866"637820642949786982]]PRIMEM["Greenwich"0]UNIT["degree"00174532925199433]]PROJECTION["Transverse_Mercator"]PARAMETER["latitude_of_origin"0]PARAMETER["central_meridian"-105]PARAMETER["scale_factor"09996]PARAMETER["false_easting"500000]PARAMETER["false_northing"0]UNIT["meter]]
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 357: (createFromProj4) wholetext match on name failed, trying proj4string match
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 443: (getRecord) running query: select * from tbl_srs where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path = /usr/local/qgis/share/qgis/resources/srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 465: (getRecord) trying system srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 520: (getRecord) retrieved:  select * from tbl_srs where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 362: (createFromProj4) proj4string match search for srsid returned srsid: 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 184: (loadFromDb) load CRS from /usr/local/qgis/share/qgis/resources/srs.db where srs_id is 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path = /usr/local/qgis/share/qgis/resources/srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 714: (setMapUnits) Projection has linear units of Meter
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 463: (readFile) Raster determined to have the following CRS
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1104: (debugPrint) ***SpatialRefSystem***
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1105: (debugPrint) * Valid : true
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1106: (debugPrint) * [[SrsId]] : 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1107: (debugPrint) * Proj4 : +proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs 
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1108: (debugPrint) * Desc. : NAD27 / UTM zone 13N
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 469: (readFile) Layer registry has 0layers
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3150: (getMetadata) dataset has no metadata
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3178: (getMetadata) band 1 has no categories
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3429: (getMetadata) <p class="glossy">Sterownik:</p>
<p>GRASS<br>GRASS Database Rasters (5.7+)</p>
<p class="glossy">Dataset Description</p>
<p>/home/grassdata/spearfish60/PERMANENT/cellhd/slope</p>
<p class="glossy">Band 1</p>
<tr><p>
COLOR_TABLE_RULES_COUNT=0</p>
</tr><p class="glossy">Wymiar:</p>
<p>X: 634 Y: 478Kanały:1</p>
<p class="glossy">No Data Value</p>
<p>1.1711e-316</p>
</p>
<p class="glossy">Typ danych:</p>
<p>GDT_Float32 - Thirty two bit floating point </p>
<p class="glossy">Pyramid overviews:</p>
<p></p>
<p class="glossy">Layer Spatial Reference System: </p>
<p>+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs </p>
<p class="glossy">Początek:</p>
<p>589980,4.92803e+06</p>
<p class="glossy">Rozmiar piksela:</p>
<p>30,-30</p>

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3649: (readColorTable) entered.
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3723: (readColorTable) No color table found for band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 5000: (setContrastEnhancementAlgorithm) called with [NO_STRETCH] and flag=1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgscontrastenhancement.cpp: 216: (setContrastEnhancementAlgorithm) called algorithm: 0 generate lookup table: 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 830: (hasBand) Looking for band : Palette
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 837: (hasBand) band = 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2113: (getRasterBandName) entered.
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 107: (name) returning name 'slope'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 323: (connectNotify) [[QgsMapLayer]] connected to 2layerNameChanged()
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 1185: (draw)  3 arguments
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2093: (getRasterBandNumber) myRasterBandStats.bandName: Band 1  :: theBandName: Band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2098: (getRasterBandNumber) ********** band 1 was found in getRasterBandNumber Band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 1338: (drawSingleBandGray) layer=1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3748: (readData) calling [[RasterIO]] with , source NW corner: 0, 0, source size: 634, 478, dest size: 32, 32

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7ffaced167a0 (LWP 30449)]
0x00007ffabd259cfc in G_close_gdal_link (gdal=0x50) at gdal.c:121
121        GDALClose(gdal->data);
Current language:  auto; currently c


h"0]UNIT["degree"00174532925199433]]PROJECTION["Transverse_Mercator"]PARAMETER["latitude_of_origin"0]PARAMETER["central_meridian"-105]PARAMETER["scale_factor"09996]PARAMETER["false_easting"500000]PARAMETER["false_northing"0]UNIT["meter]]
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 357: (createFromProj4) wholetext match on name failed, trying proj4string match
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 443: (getRecord) running query: select * from tbl_srs where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path = /usr/local/qgis/share/qgis/resources/srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 465: (getRecord) trying system srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 520: (getRecord) retrieved:  select * from tbl_srs where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 362: (createFromProj4) proj4string match search for srsid returned srsid: 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 184: (loadFromDb) load CRS from /usr/local/qgis/share/qgis/resources/srs.db where srs_id is 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path = /usr/local/qgis/share/qgis/resources/srs.db
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 714: (setMapUnits) Projection has linear units of Meter
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 463: (readFile) Raster determined to have the following CRS
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1104: (debugPrint) ***SpatialRefSystem***
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1105: (debugPrint) * Valid : true
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1106: (debugPrint) * [[SrsId]] : 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1107: (debugPrint) * Proj4 : +proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs 
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1108: (debugPrint) * Desc. : NAD27 / UTM zone 13N
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 469: (readFile) Layer registry has 0layers
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3150: (getMetadata) dataset has no metadata
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3178: (getMetadata) band 1 has no categories
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3429: (getMetadata) <p class="glossy">Sterownik:</p>
<p>GRASS<br>GRASS Database Rasters (5.7+)</p>
<p class="glossy">Dataset Description</p>
<p>/home/grassdata/spearfish60/PERMANENT/cellhd/slope</p>
<p class="glossy">Band 1</p>
<tr><p>
COLOR_TABLE_RULES_COUNT=0</p>
</tr><p class="glossy">Wymiar:</p>
<p>X: 634 Y: 478Kanały:1</p>
<p class="glossy">No Data Value</p>
<p>1.1711e-316</p>
</p>
<p class="glossy">Typ danych:</p>
<p>GDT_Float32 - Thirty two bit floating point </p>
<p class="glossy">Pyramid overviews:</p>
<p></p>
<p class="glossy">Layer Spatial Reference System: </p>
<p>+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs </p>
<p class="glossy">Początek:</p>
<p>589980,4.92803e+06</p>
<p class="glossy">Rozmiar piksela:</p>
<p>30,-30</p>

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3649: (readColorTable) entered.
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3723: (readColorTable) No color table found for band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 5000: (setContrastEnhancementAlgorithm) called with [NO_STRETCH] and flag=1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgscontrastenhancement.cpp: 216: (setContrastEnhancementAlgorithm) called algorithm: 0 generate lookup table: 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 830: (hasBand) Looking for band : Palette
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 837: (hasBand) band = 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2113: (getRasterBandName) entered.
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 107: (name) returning name 'slope'
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 323: (connectNotify) [[QgsMapLayer]] connected to 2layerNameChanged()
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 1185: (draw)  3 arguments
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2093: (getRasterBandNumber) myRasterBandStats.bandName: Band 1  :: theBandName: Band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2098: (getRasterBandNumber) ********** band 1 was found in getRasterBandNumber Band 1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 1338: (drawSingleBandGray) layer=1
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3748: (readData) calling [[RasterIO]] with , source NW corner: 0, 0, source size: 634, 478, dest size: 32, 32

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7ffaced167a0 (LWP 30449)]
0x00007ffabd259cfc in G_close_gdal_link (gdal=0x50) at gdal.c:121
121        GDALClose(gdal->data);
Current language:  auto; currently c


ian"-105]PARAMETER["scale_factor"09996]PARAMETER["false_easting"500000]PARAMETER["false_northing"0]UNIT["meter]]

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 357: (createFromProj4) wholetext match on name failed,

trying proj4string match

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 443: (getRecord) running query: select * from tbl_srs

where parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path =

/usr/local/qgis/share/qgis/resources/srs.db

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 465: (getRecord) trying system srs.db

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 520: (getRecord) retrieved:  select * from tbl_srs where

parameters='+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs'

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 362: (createFromProj4) proj4string match search for

srsid returned srsid: 2093

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 184: (loadFromDb) load CRS from

/usr/local/qgis/share/qgis/resources/srs.db where srs_id is 2093

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1078: (openDb) path =

/usr/local/qgis/share/qgis/resources/srs.db

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 714: (setMapUnits) Projection has linear units of Meter

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 463: (readFile) Raster determined to have the following CRS

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1104: (debugPrint) ***SpatialRefSystem***

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1105: (debugPrint) * Valid : true

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1106: (debugPrint) * [[SrsId]] : 2093
Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1107: (debugPrint) * Proj4 : +proj=utm +zone=13

+ellps=clrk66 +datum=NAD27 +units=m +no_defs 

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgscoordinatereferencesystem.cpp: 1108: (debugPrint) * Desc. : NAD27 / UTM zone 13N

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 469: (readFile) Layer registry has 0layers

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3150: (getMetadata) dataset has no metadata

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3178: (getMetadata) band 1 has no categories

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3429: (getMetadata) <p class="glossy">Sterownik:</p>

<p>GRASS<br>GRASS Database Rasters (5.7+)</p>

<p class="glossy">Dataset Description</p>

<p>/home/grassdata/spearfish60/PERMANENT/cellhd/slope</p>

<p class="glossy">Band 1</p>

<tr><p>

COLOR_TABLE_RULES_COUNT=0</p>

</tr><p class="glossy">Wymiar:</p>

<p>X: 634 Y: 478Kanały:1</p>

<p class="glossy">No Data Value</p>

<p>1.1711e-316</p>

</p>

<p class="glossy">Typ danych:</p>

<p>GDT_Float32 - Thirty two bit floating point </p>

<p class="glossy">Pyramid overviews:</p>

<p></p>

<p class="glossy">Layer Spatial Reference System: </p>

<p>+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs </p>

<p class="glossy">Początek:</p>

<p>589980,4.92803e+06</p>

<p class="glossy">Rozmiar piksela:</p>

<p>30,-30</p>

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3649: (readColorTable) entered.

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3723: (readColorTable) No color table found for band 1

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 5000: (setContrastEnhancementAlgorithm) called with

[NO_STRETCH] and flag=1

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgscontrastenhancement.cpp: 216: (setContrastEnhancementAlgorithm) called

algorithm: 0 generate lookup table: 1

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 830: (hasBand) Looking for band : Palette

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 837: (hasBand) band = 1

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2113: (getRasterBandName) entered.

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 107: (name) returning name 'slope'

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayer.cpp: 323: (connectNotify) [[QgsMapLayer]] connected to

2layerNameChanged()

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 1185: (draw)  3 arguments

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2093: (getRasterBandNumber) myRasterBandStats.bandName:

Band 1  :: theBandName: Band 1

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 2098: (getRasterBandNumber) ********** band 1 was found in

getRasterBandNumber Band 1

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 1338: (drawSingleBandGray) layer=1

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp: 3748: (readData) calling [[RasterIO]] with , source NW corner: 0,

0, source size: 634, 478, dest size: 32, 32

Program received signal SIGSEGV, Segmentation fault.

[Switching to Thread 0x7ffaced167a0 (LWP 30449)]

0x00007ffabd259cfc in G_close_gdal_link (gdal=0x50) at gdal.c:121
121        GDALClose(gdal->data);

Current language:  auto; currently c

Backtrace:

(gdb) bt

#0  0x00007ffabd259cfc in G_close_gdal_link (gdal=0x50) at gdal.c:121

#3905  0x00007ffabd24c8e3 in close_old (fd=19) at closecell.c:137

#3906  0x00007ffabd24c7f7 in G_close_cell (fd=19) at closecell.c:86

#3907  0x00007ffab6592b50 in GRASSRasterBand::ResetReading () from /usr/local/lib/gdalplugins/gdal_GRASS.so

#3908  0x00007ffab6592edc in GRASSRasterBand::IRasterIO () from /usr/local/lib/gdalplugins/gdal_GRASS.so

#3909  0x00007ffacbf0678b in GDALRasterBand::RasterIO (this=0x168a8d0, eRWFlag=GF_Read, nXOff=0, nYOff=0, nXSize=634,

nYSize=478, pData=0x16a1970, nBufXSize=32, nBufYSize=32, 

    eBufType=GDT_Float32, nPixelSpace=4, nLineSpace=128) at gdalrasterband.cpp:237

#3910  0x00007ffacbf06851 in GDALRasterIO (hBand=0x168a8d0, eRWFlag=GF_Read, nXOff=0, nYOff=0, nXSize=634, nYSize=478,

pData=0x16a1970, nBufXSize=32, nBufYSize=32, 

    eBufType=GDT_Float32, nPixelSpace=0, nLineSpace=0) at gdalrasterband.cpp:262

#3911  0x00007fface68e511 in [[QgsRasterLayer]]::readData (this=0x1627be0, gdalBand=0x168a8d0, viewPort=0x16883e0)

    at /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp:3767

#3912  0x00007fface69c681 in [[QgsRasterLayer]]::drawSingleBandGray (this=0x1627be0, theQPainter=0x1688450,

theRasterViewPort=0x16883e0, theQgsMapToPixel=0x0, theBandNo=1)

    at /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp:1347

#3913  0x00007fface69e2df in [[QgsRasterLayer]]::draw (this=0x1627be0, theQPainter=0x1688450, theRasterViewPort=0x16883e0,

theQgsMapToPixel=0x0)

    at /home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp:1205

#10 0x00007fface69e9bb in [[QgsRasterLayer]]::drawThumbnail (this=0x1627be0, theQPixmap=0x7fffd6e4ea50) at

/home/shoofi/src/straight/qgis-trunk/src/core/raster/qgsrasterlayer.cpp:876

#3914 0x000000000066c400 in [[QgsLegendLayer]]::getOriginalPixmap (this=0x168a5b0) at

/home/shoofi/src/straight/qgis-trunk/src/app/legend/qgslegendlayer.cpp:461

#3915 0x000000000066c500 in [[QgsLegendLayer]]::setLayerTypeIcon (this=0x168a5b0) at

/home/shoofi/src/straight/qgis-trunk/src/app/legend/qgslegendlayer.cpp:89

#3916 0x000000000065f659 in [[QgsLegend]]::addLayer (this=0xf575e0, layer=0x1627be0) at

/home/shoofi/src/straight/qgis-trunk/src/app/legend/qgslegend.cpp:477

#3917 0x0000000000699228 in [[QgsLegend]]::qt_metacall (this=0xf575e0, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x7fffd6e4ee70)

    at /home/shoofi/src/straight/qgis-trunk/build/src/app/legend/moc_qgslegend.cxx:116

#3918 0x00007fface1f9764 in QMetaObject::activate () from /usr/lib/libQtCore.so.4

#3919 0x00007fface6d2717 in [[QgsMapLayerRegistry]]::layerWasAdded (this=0xeef730, _t1=0x1627be0) at

/home/shoofi/src/straight/qgis-trunk/build/src/core/moc_qgsmaplayerregistry.cxx:89

#3920 0x00007fface5f6f40 in [[QgsMapLayerRegistry]]::addMapLayer (this=0xeef730, theMapLayer=0x1627be0, theEmitSignal=true)

    at /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaplayerregistry.cpp:83

#3921 0x00000000004b5981 in [[QgisApp]]::addRasterLayer (this=0xecfae0, theRasterLayer=0x1627be0) at

/home/shoofi/src/straight/qgis-trunk/src/app/qgisapp.cpp:5297

#3922 0x00000000004b6ffd in [[QgisApp]]::addRasterLayer (this=0xecfae0, rasterFile=@0x7fffd6e4f270, baseName=@0x7fffd6e4f260,

guiWarning=true)

    at /home/shoofi/src/straight/qgis-trunk/src/app/qgisapp.cpp:5335

#3923 0x00000000004ed8f4 in [[QgisAppInterface]]::addRasterLayer (this=0xf19510, rasterLayerPath=

      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 2942}, alloc = 0, size = 0, data = 0x9363da, clean = 0, simpletext = 0,

righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 55}, alloc = 0, size = 0, data =

0x7fface4cc85a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffd6e4f270, static

codecForCStrings = 0x0}, baseName=

      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 2942}, alloc = 0, size = 0, data = 0x9363da, clean = 0, simpletext = 0,

righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 55}, alloc = 0, size = 0, data =
0x7fface4cc85a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffd6e4f260, static

codecForCStrings = 0x0})

    at /home/shoofi/src/straight/qgis-trunk/src/app/qgisappinterface.cpp:77

#3924 0x00007ffabdc860c8 in [[QgsGrassPlugin]]::addRaster (this=0x148e2b0) at

/home/shoofi/src/straight/qgis-trunk/src/plugins/grass/qgsgrassplugin.cpp:413

#3925 0x00007ffabdd8680c in [[QgsGrassPlugin]]::qt_metacall (this=0x148e2b0, _c=QMetaObject::InvokeMetaMethod, _id=2,

_a=0x7fffd6e4f3c0)

    at /home/shoofi/src/straight/qgis-trunk/build/src/plugins/grass/moc_qgsgrassplugin.cxx:98

#3926 0x00007fface1f9764 in QMetaObject::activate () from /usr/lib/libQtCore.so.4

#3927 0x00007ffacd70e1c7 in QAction::triggered () from /usr/lib/libQtGui.so.4

#3928 0x00007ffacd70e990 in QAction::activate () from /usr/lib/libQtGui.so.4

#3929 0x00007ffacda1a03a in ?? () from /usr/lib/libQtGui.so.4

#3930 0x00007ffacda1a2d5 in QAbstractButton::mouseReleaseEvent () from /usr/lib/libQtGui.so.4

#3931 0x00007ffacdae14aa in QToolButton::mouseReleaseEvent () from /usr/lib/libQtGui.so.4

---Type <return> to continue, or q <return> to quit---

#3932 0x00007ffacd7663af in QWidget::event () from /usr/lib/libQtGui.so.4

#3933 0x00007ffacd713e5d in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4

#3934 0x00007ffacd71c39a in QApplication::notify () from /usr/lib/libQtGui.so.4

#3935 0x00007fface1e5411 in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4

#3936 0x00007ffacd71b738 in QApplicationPrivate::sendMouseEvent () from /usr/lib/libQtGui.so.4

#3937 0x00007ffacd77f719 in ?? () from /usr/lib/libQtGui.so.4

#3938 0x00007ffacd77e5ef in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4

#36 0x00007ffacd7a59cc in ?? () from /usr/lib/libQtGui.so.4

#37 0x00007ffaca29b892 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0

#38 0x00007ffaca29f01d in ?? () from /usr/lib/libglib-2.0.so.0

#39 0x00007ffaca29f1db in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0

#40 0x00007fface20d83f in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4

#41 0x00007ffacd7a516f in ?? () from /usr/lib/libQtGui.so.4

#42 0x00007fface1e3d22 in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4

#43 0x00007fface1e3ead in QEventLoop::exec () from /usr/lib/libQtCore.so.4

#44 0x00007fface1e637d in QCoreApplication::exec () from /usr/lib/libQtCore.so.4

#45 0x00000000004b28a9 in main (argc=1, argv=0x7fffd6e512a8) at /home/shoofi/src/straight/qgis-trunk/src/app/main.cpp:683

r1http://grass.osgeo.org/sampledata/spearfish_grass60data-0.3.tar.gz

#3 - 2009-01-19 09:27 AM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Feedback to Closed

Tested with spearfish, and it works. Please check whether it is a local problem on your computer and reopen it if necessary.

#4 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted
